yaml_emit
yaml_parse_url
Yaml Functions
PHP Manual

# yaml_parse_file

(PECL yaml >= 0.4.0)

yaml_parse_file — Parse a YAML stream from a file

### Description

mixed yaml_parse_file ( string `$filename` [, int `$pos` = 0 [, int `&$ndocs` [, array `$callbacks` ]]] )

Convert all or part of a YAML document stream read from a file to a PHP variable.

### Parameters

`filename`

  Path to the file.

`pos`

  Document to extract from stream (-1 for all documents, 0 for first document, ...).

`ndocs`

  If `ndocs` is provided, then it is filled with the number of documents found in stream.

`callbacks`

  Content handlers for YAML nodes. Associative array of YAML tag => callable mappings. See parse callbacks for more details.

### Return Values

Returns the value encoded in `input` in appropriate PHP type or `FALSE` on failure. If `pos` is -1 an array will be returned with one entry for each document found in the stream.

### Notes

Warning

Processing untrusted user input with yaml_parse_file() is dangerous if the use of unserialize() is enabled for nodes using the !php/object tag. This behavior can be disabled by using the yaml.decode_php ini setting.

### See Also

- yaml_parse() - Parse a YAML stream
- yaml_parse_url() - Parse a Yaml stream from a URL
- yaml_emit() - Returns the YAML representation of a value

yaml_emit
yaml_parse_url
Yaml Functions
PHP Manual